PUT Application/PutWorkflowConfig
Request Information
URI Parameters
None.
Body Parameters
WorkflowConfig| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| WorkflowID | globally unique identifier |
Required |
|
| PictureID | globally unique identifier |
None. |
|
| DashboardID | globally unique identifier |
None. |
|
| Url | string |
None. |
|
| IconName | string |
None. |
|
| BackgroundColor | string |
None. |
|
| ImageFilePath | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "779e1ec2-caf2-4ad1-a665-04d78cee79ea",
"workflowID": "fc8552f4-206a-4a2d-b85a-6176f60e7fe2",
"pictureID": "48e63e4f-c72f-445c-837a-7a62f906fc08",
"dashboardID": "2cbae1b8-53f6-4b69-9b21-8b00270ccffb",
"url": "sample string 3",
"iconName": "sample string 4",
"backgroundColor": "sample string 5",
"imageFilePath": "sample string 6"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.